=== debian/changelog ===
node-getpass (0.1.7-1) unstable; urgency=low

  * Initial release (Closes: #861674)

 -- Pirate Praveen <praveen@debian.org>  Tue, 02 May 2017 20:42:40 +0530
