=== debian/control ===
Source: node-getpass
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , node-json5
 , npm
Standards-Version: 3.9.8
Homepage: https://github.com/arekinath/node-getpass#readme
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-getpass.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-getpass.git

Package: node-getpass
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-assert-plus (>= 1.0.0)
Description: get a password from terminal
 This library can be used to get a password from the terminal. Even though it
 sounds simple and sounds like the `readline` module should be able to do it.
 But readline module does not support it.
 .
 If available, this uses `/dev/tty` to avoid interfering with any data being
 piped in or out of stdio. This function prints a prompt (by default
 `Password:`) and then accepts input without echoing.
 .
 Node.js is an event-based server-side JavaScript engine.
