=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-getpass-$1.tar.gz/ \
 https://github.com/arekinath/node-getpass/tags .*/archive/v?([\d\.]+).tar.gz
